yatex (1.81-2) unstable; urgency=medium

  * Skip old/unsupported emacs flavors for un/installation. (Closes: #919419)
    (patch from Tatsuya Kinoshita.)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 14 Feb 2019 00:58:18 +0900

yatex (1.81-1) unstable; urgency=medium

  * New upstream release. (Closes: #917316)
  * New Standards-Version: 4.3.0
  * Move to salsa.
  * Use dh-elpa.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sat, 12 Jan 2019 08:19:00 +0900

yatex (1.77+dfsg1-3) sid; urgency=medium

  * fix docstirng escapes. (Closes: #756191)
  * New Standards-Version: 3.9.5

 -- KURASHIKI Satoru <lurdan@gmail.com>  Tue, 26 Aug 2014 08:43:41 +0900

yatex (1.77+dfsg1-2) unstable; urgency=low

  * fix typo in yahtml-lint patch. (Closes: #714569)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sun, 18 Aug 2013 07:15:07 +0900

yatex (1.77+dfsg1-1) unstable; urgency=low

  * New upstream release.
    - fix dfsg patch (Closes: #707518)
  * New Standards-Version: 3.9.4
  * remove DMUA field.
  * re-organize package dependencies (Closes: #692215)
  * change image viewer preset from gimv to see (Closes: #683463)
  * quote filename for yahtml-lint (Closes: #683470)
  * use emacs to format info files. (with picked version of yatexlib.el)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sat, 11 May 2013 17:58:58 +0900

yatex (1.76+dfsg1-2) unstable; urgency=medium

  * Fix status line garbled by mismatched coding system. (Closes: 681649)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sat, 21 Jul 2012 11:07:29 +0900

yatex (1.76+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * New-Standards-Version: 3.9.3

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sun, 27 May 2012 15:34:42 +0900

yatex (1.75+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * re-enable autoload without auto-mode-alist (Closes: 658331)
  * move vcs repositories to collab-maint.
  * debian/README.debian*: update for notes on autoloading.
  * debian/changelog: move to DEP-5.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sat, 11 Feb 2012 23:12:35 +0900

yatex (1.74+dfsg1-2) unstable; urgency=low

  * New Standards-Version: 3.9.2
  * remove autoloads. (Closes: #619809)
  * fix xemacs dependency. (Closes: #217129)
  * fix mis-documented variable. (Closes: #631810)
  * depend on xemacs21 if it supports mule. (Closes: #217129)
  * cleanup dependency.
  * add watch file.
  * DM-Upload-Allowed.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Tue, 06 Jul 2011 23:19:21 +0900

yatex (1.74+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * switch to cdbs.
  * change encoding of files from euc to utf-8.
  * yatex-init.el: change default behavior. See NEWS.Debian for further details.
                   set YaTeX-inhibit-prefix-key to t. (Closes: #480160)
                   set YaTeX-kanji-code to nil. (Closes: #504009)
  * docs/*.tex: add info-dir-section. (Closes: #528908)
                fix some info tag.
  * New Standards-Version: 3.8.4

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sat, 22 May 2010 10:37:28 +0900

yatex (1.73+dfsg1-5) unstable; urgency=low

  * New maintainer.
  * debian/control: Now Recommends texlive-bin instead of tetex-bin.
                   (Closes: #477131)
  * yatex-init.el: use debian-pkg-add-load-path-item. (Closes: #480159)
  * yatex.emacsen-install: makes symlink to *.el. (Closes: #482742)
                           remove redundant option. (Closes: #482743)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sat, 31 May 2008 23:36:39 +0900

yatex (1.73+dfsg1-4) unstable; urgency=low

  * byte-compile yatexpkg.el

 -- Junichi Uekawa <dancer@debian.org>  Thu, 19 Jul 2007 08:43:27 +0900

yatex (1.73+dfsg1-3) unstable; urgency=low

  * install yatexpkg.el

 -- Junichi Uekawa <dancer@debian.org>  Sat, 14 Jul 2007 22:31:03 +0900

yatex (1.73+dfsg1-2) unstable; urgency=low

  * remove 'coding: sjis' from euc-encoded elisp files.
  * remove obsolete debian/conffiles

 -- Junichi Uekawa <dancer@debian.org>  Fri, 13 Jul 2007 23:31:58 +0900

yatex (1.73+dfsg1-1) unstable; urgency=low

  * New upstream release (closes: #428462)
  * new maintainer. (closes: #431142)
  * Depend on emacs22|emacsen.
  * Suggest iceweasel|www-browser, instead of mozilla and netscape.
  * check for language-environment for YaTeX-japan variable
  * update debian/copyright
  * remove non-free files: help/YATEXHLP.{eng,jp} (closes: #430728)
    regenerate upstream tarball after removal.
  * Standards-Version: 3.7.2
  * debian/compat: 4

 -- Junichi Uekawa <dancer@debian.org>  Fri, 13 Jul 2007 21:32:59 +0900

yatex (1.71-1) unstable; urgency=low

  * New upstream release
      - Closes: #197608
      - When the fill-prefix was specified, the auto-fill length of
        \item has been set to fill-prefix regardless of the depth of \item;
        fixed.
      - On label completion with \\ref, already labeled candidates have
        been appearing twice (per counters and \label); fixed.  Also fixed
        such duplication within the enumerate environment, where both
        \item and label have been shown.
      - Corrected the misfeature with no background color settings in
        .Xresources.
      - New feature:
        [prefix] c switches among AMS-LaTeX \big brackets.  - New feature:
        [prefix] g jumps between the pair of AMS-LaTeX brackets.

  * Initial value of defvar `YaTeX-japan' [yatexlib.el, yahtml.el, docs/*]
      - Closes: #197861
      - Backported a fix on the defvar `YaTeX-japan' from upstream's
        snapshot version.

  * Changed the encoding of .el [debian/{rules,yatex.emacsen-install}]
      - Closes: #197860
      - I hope this fix should evade the bug.  If there's still a trouble
        (typically, failures on install), please file another bug report
        with more details.

  * Conffile totally rewritten [debian/yatex-init.el, debian/README.Debian*]
      - Closes: #197862
      - Init file checks whether the package still resides in the system
        before doing anything.
      - The default value of yahtml-image-viewer is modified to `gimv', one of
        the free alternatives for the functionality.

  * Info files for YaHTML are now installed. [debian/{postinst,prerm,rules}]

  * Changes in dependencies, etc. [debian/control]
      - Added Recommends and Suggests regarding xdvi/bibtex/mendex etc.
      - In Description, mentioned yahtml mode.

  * Abbreviated the acknowledgements related to Debian [debian/copyright]
      - IMO those are a Debian-private matter which has no necessity to be
        stated there.  You can follow how and by whom each efforts was made
        along by this changelog.

 -- INOUE Hiroyuki <dombly@kc4.so-net.ne.jp>  Fri, 20 Jun 2003 22:10:25 +0900

yatex (1.70-2) unstable; urgency=low

  * merged trunk changes between 1.69.2-3 to 1.69.2-4

 -- INOUE Hiroyuki <dombly@kc4.so-net.ne.jp>  Sat, 28 Sep 2002 22:45:40 +0900

yatex (1.70-1) unstable; urgency=low

  * New upstream release (Closes: #149516, #159940)
      - fixed the bug with emacs21 new-frame feature

 -- INOUE Hiroyuki <dombly@kc4.so-net.ne.jp>  Fri, 27 Sep 2002 19:13:40 +0900

yatex (1.69.2-4) unstable; urgency=low

  * update yatex-init.el because now xdvi can be configured
    by alternative for xdvi.bin so you can use xdvi-ja as xdvi.

 -- Taketoshi Sano <sano@debian.org>  Fri, 17 May 2002 00:03:49 +0900

yatex (1.69.2-3) unstable; urgency=low

  * fix a typo in README.Debian. Thanks to SEI Hideki.
  * update emacsen-install & emacsen-remove. (Closes: #126165)
    Thanks to YAMASHITA Junji.

 -- Taketoshi Sano <sano@debian.org>  Sat, 29 Dec 2001 23:30:04 +0900

yatex (1.69.2-2) unstable; urgency=low

  * update yatex-init.el to keep up with the changes in xdvik-ja.
    Thanks to YAMAWAKI Teruo. (Closes: #121389)

 -- Taketoshi Sano <sano@debian.org>  Sat,  1 Dec 2001 00:06:56 +0900

yatex (1.69.2-1) unstable; urgency=low

  * New upstream release. (Closes: #94320)

 -- Taketoshi Sano <sano@debian.org>  Thu, 24 May 2001 23:30:29 +0900

yatex (1.67-7) unstable; urgency=low

  * Added Build-Depends for debhelper and nkf
  * Update the standards-version

 -- Taketoshi Sano <sano@debian.org>  Thu, 14 Dec 2000 02:02:38 +0900

yatex (1.67-6) unstable; urgency=low

  * check the existence of xdvi-ja.small command, and if it exists,
    use it instead of xdvi. Modified on yatex-init.el
  * set the default mode for *.tex file to yatex-mode.

 -- Taketoshi Sano <sano@debian.org>  Tue, 21 Dec 1999 16:53:37 +0900

yatex (1.67-5) unstable; urgency=low

  * some script change. closes bug#45711

 -- Taketoshi Sano <sano@debian.org>  Fri, 24 Sep 1999 17:57:13 +0900

yatex (1.67-4) unstable; urgency=low

  * update postint and prerm to handle the sym-link to /usr/doc

 -- Taketoshi Sano <sano@debian.org>  Wed, 22 Sep 1999 13:38:30 +0900

yatex (1.67-3) unstable; urgency=low

  * for FHS transition

 -- Taketoshi Sano <sano@debian.org>  Thu, 16 Sep 1999 14:02:14 +0900

yatex (1.67-2) unstable; urgency=low

  * New maintainer.
  * Revision for upload to Debian.

 -- Taketoshi Sano <sano@debian.org>  Tue, 24 Aug 1999 17:31:21 +0900

yatex (1.67-1) unstable; urgency=low

  * New upstream version.
  * New maintainer's address.

 -- Hidenobu Nabetani <nabe@debain.or.jp>  Sat, 14 Aug 1999 15:38:41 +0900

yatex (1.66-1) unstable; urgency=low

  * New upstream version.
  * Starndard version: 2.5.0.0
  * use debhelper.
  * Rewrite README.debian in English.
  * Move japanese docs to dir /usr/doc/yatex/japanese/.

 -- Hidenobu Nabetani <nabetani@kern.phys.sci.osaka-u.ac.jp>  Sun, 23 May 1999 14:32:36 +0900

yatex (1.65-6) frozen-jp unstable-jp; urgency=low

  * Removed debian/menu.
    (Bug#JP/685: bad-test-in-menu-item, unparsable-menu-item).
  * Changed postinst and removed postrm.
     (Don't exec update-menu now.)

 -- Hidenobu Nabetani <nabetani@kern.phys.sci.osaka-u.ac.jp>  Tue,  1 Dec 1998 09:04:04 +0900

yatex (1.65-5) frozen-jp unstable-jp; urgency=low

  * Fixed bug#JP/490(YATEXHLP.{eng,jp} aren't removed in remove).

 -- Hidenobu Nabetani <nabetani@kern.phys.sci.osaka-u.ac.jp>  Thu, 20 Aug 1998 17:22:43 +0900

yatex (1.65-4) frozen-jp unstable-jp; urgency=low

  * New maintainer.
  * Change the KANJI-code of *.el from Shift-JIS to JIS.

 -- Hidenobu Nabetani <nabetani@kern.phys.sci.osaka-u.ac.jp>  Wed, 12 Aug 1998 11:12:35 +0900

yatex (1.65-3.1) frozen-jp unstable-jp; urgency=low

  * Still non-maintainer release.
  * Changed README.debian, emacsen.{install,remove} a little.

 -- Hidenobu Nabetani <nabetani@kern.phys.sci.osaka-u.ac.jp>  Tue,  7 Jul 1998 16:38:59 +0900

yatex (1.65-3) frozen-jp unstable-jp; urgency=low

  * Fixed "File mode specification error" in emacs20.
    Now, no byte-compile yatex19.el.

 -- Hidenobu Nabetani <nabetani@kern.phys.sci.osaka-u.ac.jp>  Fri,  3 Jul 1998 18:26:39 +0900

yatex (1.65-2) frozen-jp unstable-jp; urgency=low

  * Added /etc/emacs/site-start.d/50yatex-init.el

 -- Hidenobu Nabetani <nabetani@kern.phys.sci.osaka-u.ac.jp>  Fri,  3 Jul 1998 10:28:42 +0900

yatex (1.65-1) frozen-jp unstable-jp; urgency=low

  * Non maintainer release.
  * new upstream version.
  * Standards Version: 2.4.1.
  * Emacsen support.
  * Menu support.
  * Change the architecture to all.(fixed bug#JP/281)
  * Check with lintian.

 -- Hidenobu Nabetani <nabetani@kern.phys.sci.osaka-u.ac.jp>  Thu,  2 Jul 1998 20:43:15 +0900

yatex (1.64.2-1) unstable; urgency=low

  * Initial Release.

 -- Atsushi KAMOSHIDA <kamop@post1.com>  Fri, 2 May 1997 03:55:29 +0900
